package mschmidt.komo;
/*
 * Custom action that selects and opens the database connection settings
 * preference page.
 */

import org.eclipse.jface.action.Action;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;
import org.eclipse.ui.dialogs.PreferencesUtil;

public class DbSetupAction extends Action implements IWorkbenchAction {
		// Initiate the variables for this action.
		IWorkbenchWindow thisWindow;
		public final static String ACTION_ID = "mschmidt.komo.DbSetupAction";

		/*
		 * Create the action and set appearance vartiables.
		 */
		public DbSetupAction(IWorkbenchWindow window) {
			thisWindow = window;
			setId(ACTION_ID);
			setText("Connection Settings");
			setToolTipText("Set connection settings to access database");
			setImageDescriptor(KomoPlugin
					.getImageDescriptor(ApplicationImages.SERVER_ICON));
		}

		/*
		 * (non-Javadoc) The action runnable.
		 * 
		 * @see org.eclipse.jface.action.IAction#run()
		 */
		public void run() {
			if (thisWindow != null) {
				PreferencesUtil.createPreferenceDialogOn(null, "DbSettings",
						null, null).open();
			}
		}

	public void dispose() {
	}

}
